blk_queue_ordered
Prev | Chapter 17. Block Devices | Next

## Name

blk_queue_ordered — does this queue support ordered writes

## Synopsis

`int blk_queue_ordered (` | struct request_queue * | q,
| unsigned | ordered,
| prepare_flush_fn * | prepare_flush_fn`)`;

## Arguments

`q`

  the request queue

`ordered`

  one of QUEUE_ORDERED_*

`prepare_flush_fn`

  rq setup helper for cache flush ordered writes

## Description

For journalled file systems, doing ordered writes on a commit block instead of explicitly doing wait_on_buffer (which is bad for performance) can be a big win. Block drivers supporting this feature should call this function and indicate so.

Prev | Up | Next
blk_execute_rq | Home | blkdev_issue_flush